Index: chapter01/changelog.xml
===================================================================
--- chapter01/changelog.xml	(revision 1e96cc1ddd02bd874bb628342fb803c3e532ecce)
+++ chapter01/changelog.xml	(revision f448389d247c6930108bb9d359ce73c24634d121)
@@ -43,4 +43,43 @@
     appropriate for the entry or if needed the entire day's listitem.
 -->
+
+    <listitem>
+      <para>2018-03-23</para>
+      <itemizedlist>
+        <listitem>
+           <para>[bdubbs] - Update to several urls to use https.  
+           Thanks to avmaisak for the patch. Fixes 
+           <ulink url="&lfs-ticket-root;4247">#4247</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to Python3-3.6.5.  Fixes 
+           <ulink url="&lfs-ticket-root;4248">#4248</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to openssl-1.1.0h.  Fixes 
+           <ulink url="&lfs-ticket-root;4244">#4244</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to e2fsprogs-1.44.1.  Fixes 
+           <ulink url="&lfs-ticket-root;4244">#4244</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to tzdata-2018d.  Fixes 
+           <ulink url="&lfs-ticket-root;4243">#4243</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to meson-0.45.1.  Fixes 
+           <ulink url="&lfs-ticket-root;4242">#4242</ulink>.</para>
+        </listitem>
+        <listitem>
+           <para>[bdubbs] - Update to linux-4.15.14.  Fixes 
+           <ulink url="&lfs-ticket-root;4241">#4241</ulink>.</para>
+        </listitem>
+        <listitem revision="sysv">
+           <para>[bdubbs] - Update to sysvinit-2.89.  Fixes 
+           <ulink url="&lfs-ticket-root;4249">#4249</ulink>.</para>
+        </listitem>
+      </itemizedlist>
+    </listitem>
 
     <listitem>
Index: chapter01/whatsnew.xml
===================================================================
--- chapter01/whatsnew.xml	(revision 1e96cc1ddd02bd874bb628342fb803c3e532ecce)
+++ chapter01/whatsnew.xml	(revision f448389d247c6930108bb9d359ce73c24634d121)
@@ -186,4 +186,7 @@
       <para>Ncurses-&ncurses-version;</para>
    </listitem>-->
+   <listitem>
+      <para>Openssl-&openssl-version;</para>
+   </listitem>
    <!-- <listitem>
       <para>Patch-&patch-version;</para>
@@ -201,4 +204,7 @@
       <para>Psmisc-&psmisc-version;</para>
     </listitem>-->
+    <listitem>
+      <para>Python-&python-version;</para>
+    </listitem>
     <!--<listitem>
       <para>Readline-&readline-version;</para>
@@ -216,7 +222,7 @@
       <para>Systemd-&systemd-version;</para>
    </listitem>
-    <!--<listitem revision="sysv">
+    <listitem revision="sysv">
       <para>SysVinit-&sysvinit-version;</para>
-    </listitem>-->
+    </listitem>
     <!--<listitem>
       <para>Tar-&tar-version;</para>
@@ -228,7 +234,7 @@
       <para>Texinfo-&texinfo-version;</para>
    </listitem>-->
-   <!--<listitem>
+   <listitem>
       <para>Tzdata-&tzdata-version;</para>
-   </listitem>-->
+   </listitem>
    <listitem>
       <para>Util-Linux-&util-linux-version;</para>
Index: chapter06/e2fsprogs.xml
===================================================================
--- chapter06/e2fsprogs.xml	(revision 1e96cc1ddd02bd874bb628342fb803c3e532ecce)
+++ chapter06/e2fsprogs.xml	(revision f448389d247c6930108bb9d359ce73c24634d121)
@@ -132,5 +132,6 @@
     sufficient swap space for the test. See <xref
     linkend="space-creatingfilesystem"/> and <xref linkend="space-mounting"/>
-    for details on creating and enabling swap space.</para>
+    for details on creating and enabling swap space.  Two tests, f_bigalloc_badinode
+    and f_bigalloc_orphan_list, are known ot fail.</para>
 
     <para>Install the binaries, documentation, and shared libraries:</para>
Index: chapter06/systemd.xml
===================================================================
--- chapter06/systemd.xml	(revision 1e96cc1ddd02bd874bb628342fb803c3e532ecce)
+++ chapter06/systemd.xml	(revision f448389d247c6930108bb9d359ce73c24634d121)
@@ -187,5 +187,5 @@
 
 <screen><userinput remap="install">rm -rfv /usr/lib/rpm</userinput></screen>
-
+<!--
     <para>Create the Sysvinit compatibility symlinks, so systemd is used
     as the default init system:</para>
@@ -197,5 +197,5 @@
 
     <para>Remove our earlier created symlink for xsltproc:</para>
-
+-->
 <screen><userinput remap="install">rm -f /usr/bin/xsltproc</userinput></screen>
 
Index: general.ent
===================================================================
--- general.ent	(revision 1e96cc1ddd02bd874bb628342fb803c3e532ecce)
+++ general.ent	(revision f448389d247c6930108bb9d359ce73c24634d121)
@@ -1,12 +1,12 @@
-<!ENTITY version         "SVN-20180323">
+<!ENTITY version         "SVN-20180330">
 <!ENTITY short-version   "svn">  <!-- Used below in &blfs-book; 
                                       Change to x.y for release but not -rc releases -->
 <!ENTITY generic-version "development"> <!-- Use "development"  or "x.y[-pre{x}]" -->
 
-<!ENTITY versiond        "20180323-systemd">
+<!ENTITY versiond        "20180330-systemd">
 <!ENTITY short-versiond  "systemd">
 <!ENTITY generic-versiond "systemd"> 
 
-<!ENTITY releasedate     "March 23, 2018">
+<!ENTITY releasedate     "March 30, 2018">
 
 <!ENTITY copyrightdate   "1999-2018"><!-- jhalfs needs a literal dash, not &ndash; -->
@@ -47,5 +47,5 @@
 <!ENTITY alpha-gnu       "http://alpha.gnu.org/gnu/">
 <!ENTITY kernel          "https://www.kernel.org/pub/">
-<!ENTITY sourceforge     "http://prdownloads.sourceforge.net/">
+<!ENTITY sourceforge     "https://prdownloads.sourceforge.net/">
 <!ENTITY savannah        "http://download.savannah.gnu.org">
 
Index: packages.ent
===================================================================
--- packages.ent	(revision 1e96cc1ddd02bd874bb628342fb803c3e532ecce)
+++ packages.ent	(revision f448389d247c6930108bb9d359ce73c24634d121)
@@ -111,5 +111,5 @@
 <!ENTITY dbus-version "1.12.6">
 <!ENTITY dbus-size "2,021 KB">
-<!ENTITY dbus-url "http://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
+<!ENTITY dbus-url "https://dbus.freedesktop.org/releases/dbus/dbus-&dbus-version;.tar.gz">
 <!ENTITY dbus-md5 "32a607e47b82ab11702355bf02502f20">
 <!ENTITY dbus-home "http://www.freedesktop.org/wiki/Software/dbus">
@@ -138,8 +138,8 @@
      of acceptable features that can be shown by debugfs in
      chapter02/creatingfilesystem.xml -->
-<!ENTITY e2fsprogs-version "1.44.0">
-<!ENTITY e2fsprogs-size "7,382 KB">
-<!ENTITY e2fsprogs-url "http://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
-<!ENTITY e2fsprogs-md5 "c81731c9555573c48afa190c940565a1">
+<!ENTITY e2fsprogs-version "1.44.1">
+<!ENTITY e2fsprogs-size "7,369 KB">
+<!ENTITY e2fsprogs-url "https://downloads.sourceforge.net/project/e2fsprogs/e2fsprogs/v&e2fsprogs-version;/e2fsprogs-&e2fsprogs-version;.tar.gz">
+<!ENTITY e2fsprogs-md5 "d6079b031682fa947ea0f96013379155">
 <!ENTITY e2fsprogs-home "http://e2fsprogs.sourceforge.net/">
 <!ENTITY e2fsprogs-ch6-du "58 MB">
@@ -156,5 +156,5 @@
 <!ENTITY eudev-version "3.2.5">
 <!ENTITY eudev-size "1,814">
-<!ENTITY eudev-url "http://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
+<!ENTITY eudev-url "https://dev.gentoo.org/~blueness/eudev/eudev-&eudev-version;.tar.gz">
 <!ENTITY eudev-md5 "6ca08c0e14380f87df8e8aceac123671">
 <!ENTITY eudev-ch6-du "78 MB">
@@ -303,5 +303,5 @@
 <!ENTITY grub-version "2.02">
 <!ENTITY grub-size "5,970 KB">
-<!ENTITY grub-url "http://ftp.gnu.org/gnu/grub/grub-&grub-version;.tar.xz">
+<!ENTITY grub-url "https://ftp.gnu.org/gnu/grub/grub-&grub-version;.tar.xz">
 <!ENTITY grub-md5 "8a4a2a95aac551fb0fba860ceabfa1d3">
 <!ENTITY grub-home "&gnu-software;grub/">
@@ -337,5 +337,5 @@
 <!ENTITY intltool-version "0.51.0">
 <!ENTITY intltool-size "159 KB">
-<!ENTITY intltool-url "http://launchpad.net/intltool/trunk/&intltool-version;/+download/intltool-&intltool-version;.tar.gz">
+<!ENTITY intltool-url "https://launchpad.net/intltool/trunk/&intltool-version;/+download/intltool-&intltool-version;.tar.gz">
 <!ENTITY intltool-md5 "12e517cac2b57a0121cda351570f1e63">
 <!ENTITY intltool-home "http://freedesktop.org/wiki/Software/intltool">
@@ -417,10 +417,10 @@
 <!ENTITY linux-major-version "4">
 <!ENTITY linux-minor-version "15">
-<!ENTITY linux-patch-version "11">
+<!ENTITY linux-patch-version "14">
 <!-- <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;"> -->
 <!ENTITY linux-version "&linux-major-version;.&linux-minor-version;.&linux-patch-version;">
-<!ENTITY linux-size "99,810 KB">
+<!ENTITY linux-size "99,814 KB">
 <!ENTITY linux-url "&kernel;linux/kernel/v&linux-major-version;.x/linux-&linux-version;.tar.xz">
-<!ENTITY linux-md5 "f0496907533eb6f05e961bcfbdce2ae8">
+<!ENTITY linux-md5 "ccd088e7ce376055350b4ad967cb21b7">
 <!ENTITY linux-home "http://www.kernel.org/">
 <!-- measured for 4.8.3 / gcc-6.2.0 on x86_64 : minimum is
@@ -471,8 +471,8 @@
 <!ENTITY man-pages-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY meson-version "0.45.0">
-<!ENTITY meson-size "1,135 KB">
+<!ENTITY meson-version "0.45.1">
+<!ENTITY meson-size "1,136 KB">
 <!ENTITY meson-url "https://github.com/mesonbuild/meson/releases/download/&meson-version;/meson-&meson-version;.tar.gz">
-<!ENTITY meson-md5 "4dce57a7f300c234be914e1d323633ed">
+<!ENTITY meson-md5 "4d9c7b3a7365b7b472f00af14e034949">
 <!ENTITY meson-home "http://mesonbuild.com">
 <!ENTITY meson-ch6-du "16 MB">
@@ -513,8 +513,8 @@
 <!ENTITY ninja-ch6-sbu "0.2 SBU">
 
-<!ENTITY openssl-version "1.1.0g">
-<!ENTITY openssl-size "5,279 KB">
+<!ENTITY openssl-version "1.1.0h">
+<!ENTITY openssl-size "5,296 KB">
 <!ENTITY openssl-url "https://openssl.org/source/openssl-&openssl-version;.tar.gz">
-<!ENTITY openssl-md5 "ba5f1b8b835b88cadbce9b35ed9531a6">
+<!ENTITY openssl-md5 "5271477e4d93f4ea032b665ef095ff24">
 <!ENTITY openssl-home "https://www.openssl.org/">
 <!ENTITY openssl-ch6-du "74 MB">
@@ -533,5 +533,5 @@
 <!ENTITY perl-version "5.26.1">
 <!ENTITY perl-size "11,644 KB">
-<!ENTITY perl-url "http://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
+<!ENTITY perl-url "https://www.cpan.org/src/5.0/perl-&perl-version;.tar.xz">
 <!ENTITY perl-md5 "70e988b4318739b0cf3ad5e120bfde88">
 <!ENTITY perl-home "http://www.perl.org/">
@@ -551,7 +551,7 @@
 <!ENTITY procps-ng-version "3.3.12">
 <!ENTITY procps-ng-size "826 KB">
-<!ENTITY procps-ng-url "http://sourceforge.net/projects/procps-ng/files/Production/procps-ng-&procps-ng-version;.tar.xz">
+<!ENTITY procps-ng-url "https://sourceforge.net/projects/procps-ng/files/Production/procps-ng-&procps-ng-version;.tar.xz">
 <!ENTITY procps-ng-md5 "957e42e8b193490b2111252e4a2b443c">
-<!ENTITY procps-ng-home "http://sourceforge.net/projects/procps-ng">
+<!ENTITY procps-ng-home "https://sourceforge.net/projects/procps-ng">
 <!ENTITY procps-ng-ch6-du "15 MB">
 <!ENTITY procps-ng-ch6-sbu "0.1 SBU">
@@ -565,14 +565,14 @@
 <!ENTITY psmisc-ch6-sbu "less than 0.1 SBU">
 
-<!ENTITY python-version "3.6.4">
-<!ENTITY python-size "16,600 KB">
+<!ENTITY python-version "3.6.5">
+<!ENTITY python-size "16,651 KB">
 <!ENTITY python-url "https://www.python.org/ftp/python/&python-version;/Python-&python-version;.tar.xz">
-<!ENTITY python-md5 "1325134dd525b4a2c3272a1a0214dd54">
+<!ENTITY python-md5 "9f49654a4d6f733ff3284ab9d227e9fd">
 <!ENTITY python-home "https://www.python.org/">
 <!ENTITY python-ch6-du "354 MB">
 <!ENTITY python-ch6-sbu "1.2 SBU">
 <!ENTITY python-docs-url "https://docs.python.org/ftp/python/doc/&python-version;/python-&python-version;-docs-html.tar.bz2">
-<!ENTITY python-docs-md5 "205aba4b06fd5e44598d1638a2ff81d8">
-<!ENTITY python-docs-size "5,824 KB">
+<!ENTITY python-docs-md5 "3d57ca882a52cbcbe42bd8ec673faa7e">
+<!ENTITY python-docs-size "5,831 KB">
 
 <!ENTITY readline-version "7.0">
@@ -621,8 +621,8 @@
 <!ENTITY systemd-ch6-sbu  "1.1 SBU">
 
-<!ENTITY sysvinit-version "2.88dsf">
-<!ENTITY sysvinit-size "108 KB">
-<!ENTITY sysvinit-url "&savannah;/releases/sysvinit/sysvinit-&sysvinit-version;.tar.bz2">
-<!ENTITY sysvinit-md5 "6eda8a97b86e0a6f59dabbf25202aa6f">
+<!ENTITY sysvinit-version "2.89">
+<!ENTITY sysvinit-size "111 KB">
+<!ENTITY sysvinit-url "&savannah;/sysvinit/sysvinit-&sysvinit-version;.tar.bz2">
+<!ENTITY sysvinit-md5 "6a2e0776a9a3e29264ddec738ef0031c">
 <!ENTITY sysvinit-home "http://savannah.nongnu.org/projects/sysvinit">
 <!ENTITY sysvinit-ch6-du "1.1 MB">
@@ -658,9 +658,9 @@
 <!ENTITY texinfo-ch6-sbu "1.1 SBU">
 
-<!ENTITY tzdata-version "2018c">
-<!ENTITY tzdata-size "334 KB">
-<!ENTITY tzdata-url "http://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
-<!ENTITY tzdata-md5 "c412b1531adef1be7a645ab734f86acc">
-<!ENTITY tzdata-home "http://www.iana.org/time-zones">
+<!ENTITY tzdata-version "2018d">
+<!ENTITY tzdata-size "344 KB">
+<!ENTITY tzdata-url "https://www.iana.org/time-zones/repository/releases/tzdata&tzdata-version;.tar.gz">
+<!ENTITY tzdata-md5 "871a7ef808eb42ebc551acdb3d661554">
+<!ENTITY tzdata-home "https://www.iana.org/time-zones">
 
 <!ENTITY udev-lfs-version "udev-lfs-20171102">
@@ -693,5 +693,5 @@
 <!ENTITY xml-parser-version "2.44">
 <!ENTITY xml-parser-size "232 KB">
-<!ENTITY xml-parser-url "http://cpan.metacpan.org/authors/id/T/TO/TODDR/XML-Parser-&xml-parser-version;.tar.gz">
+<!ENTITY xml-parser-url "https://cpan.metacpan.org/authors/id/T/TO/TODDR/XML-Parser-&xml-parser-version;.tar.gz">
 <!ENTITY xml-parser-md5 "af4813fe3952362451201ced6fbce379">
 <!ENTITY xml-parser-home "https://github.com/chorny/XML-Parser">
@@ -701,7 +701,7 @@
 <!ENTITY xz-version "5.2.3">
 <!ENTITY xz-size "1009 KB">
-<!ENTITY xz-url "http://tukaani.org/xz/xz-&xz-version;.tar.xz">
+<!ENTITY xz-url "https://tukaani.org/xz/xz-&xz-version;.tar.xz">
 <!ENTITY xz-md5 "60fb79cab777e3f71ca43d298adacbd5">
-<!ENTITY xz-home "http://tukaani.org/xz">
+<!ENTITY xz-home "https://tukaani.org/xz">
 <!ENTITY xz-ch5-du "17 MB">
 <!ENTITY xz-ch5-sbu "0.2 SBU">
@@ -711,5 +711,5 @@
 <!ENTITY zlib-version "1.2.11">
 <!ENTITY zlib-size "457 KB">
-<!ENTITY zlib-url "http://zlib.net/zlib-&zlib-version;.tar.xz">
+<!ENTITY zlib-url "https://zlib.net/zlib-&zlib-version;.tar.xz">
 <!ENTITY zlib-md5 "85adef240c5f370b308da8c938951a68">
 <!ENTITY zlib-home "http://www.zlib.net/">
Index: patches.ent
===================================================================
--- patches.ent	(revision 1e96cc1ddd02bd874bb628342fb803c3e532ecce)
+++ patches.ent	(revision f448389d247c6930108bb9d359ce73c24634d121)
@@ -55,6 +55,6 @@
 
 <!ENTITY sysvinit-consolidated-patch "sysvinit-&sysvinit-version;-consolidated-1.patch">
-<!ENTITY sysvinit-consolidated-patch-md5 "0b7b5ea568a878fdcc4057b2bf36e5cb">
-<!ENTITY sysvinit-consolidated-patch-size "3.9 KB">
+<!ENTITY sysvinit-consolidated-patch-md5 "84aba59c6beea5960c439106f5581bee">
+<!ENTITY sysvinit-consolidated-patch-size "3.7 KB">
 
 <!-- 
